Multivariate Pattern Analysis in Python

# mvpa2.datasets.niml.hstack

`mvpa2.datasets.niml.``hstack`(dsets, pad_to_feature_index=None, hstack_method='drop_nonunique', set_empty_value=0.0)

  Stacks NIML datasets while considering node indices

  Parameters:

  dsets: list

  > datasets to be stacked

  pad_to_feature_index: list or int or None

  > If a list then it should be of the same length as dsets and indicates to which node index the input should be padded. A single int means that the same value is used for all dset in dsets. None means no padding, and is only allowed for non-sparse datasets.

  hstack_method: str:

  > How datasets are stacked; see dataset.hstack.

  set_empty_value: float

  > Value to which empty (padded) dataset values are set.

  Returns

  dset: Dataset

  > Data combined from all dset in dsets.